
package ru.crystals.test.plugins.data;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CardSearchStatus.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CardSearchStatus">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="OK"/>
 *     &lt;enumeration value="UNKNOWN_CARD"/>
 *     &lt;enumeration value="OFFLINE"/>
 *     &lt;enumeration value="CARD_NOT_FOUND"/>
 *     &lt;enumeration value="ERROR"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CardSearchStatus")
@XmlEnum
public enum CardSearchStatus {

    OK,
    UNKNOWN_CARD,
    OFFLINE,
    CARD_NOT_FOUND,
    ERROR;

    public String value() {
        return name();
    }

    public static CardSearchStatus fromValue(String v) {
        return valueOf(v);
    }

}
